SIISATA(4) | Kernel Interfaces Manual | SIISATA(4)

# NAME

siisata — Silicon Image SATA-II controllers driver

# SYNOPSIS

siisata* at pci? dev ? function ?
siisata* at cardbus? function ?

# DESCRIPTION

The siisata driver supports the Silicon Image SteelVine family of SATA-II controllers, interfacing the hardware with the ata(4) and atapi(4) subsystems.

The following controllers are supported by the siisata driver:

Silicon Image SiI3124 4-port PCI/PCI-X
Silicon Image SiI3132 2-port PCI-Express x1
Silicon Image SiI3531 1-port PCI-Express x1

# SEE ALSO

ata(4), atapi(4), cardbus(4), pci(4), wd(4)

# HISTORY

The siisata driver first appeared in NetBSD 5.0.

# AUTHORS

The siisata driver was written by Jonathan A. Kollasch <jakllsch@kollasch.net>.

# BUGS

SATA Native Command Queuing is not yet supported.
Device hot swapping is not yet supported.
Silicon Image's Software RAID is not yet supported by the
  ataraid(4) driver. raid(4) can be used instead.

July 19, 2009 | NetBSD 6.0